WordPress.org

Forums

Social Master
[resolved] warning install error v.2.6 (6 posts)

  1. conservativeread
    Member
    Posted 1 year ago #

    Warning: call_user_func_array() expects parameter 1 to be a valid callback, class 'techgasp_socialmaster' does not have a method 'register_techgasp_socialmaster_widget' in /home/anyone/public_html/wp-includes/plugin.php on line 406

    http://wordpress.org/extend/plugins/social-master/

  2. TechGasp
    Member
    Plugin Author

    Posted 1 year ago #

    Thanks for reporting... Warning is not an error :)
    We are going to investigate the warning and commit a fix.

    You should really take care of your php.ini. Printing php errors and warnings is a huge security risk for any website deployment.

  3. conservativeread
    Member
    Posted 1 year ago #

    what do you mean about php.ini and how do I fix it ?

  4. TechGasp
    Member
    Plugin Author

    Posted 1 year ago #

    Locate your php.ini file, search for:
    error_reporting

    change this line to:
    error_reporting = E_ALL & ~E_NOTICE

  5. conservativeread
    Member
    Posted 1 year ago #

    thank you so much. can I do anything in cpanel php.ini quick config ? there are options there ?

  6. TechGasp
    Member
    Plugin Author

    Posted 1 year ago #

    Yes. If cpanel gives you access to php.ini, you can set it there.

Topic Closed

This topic has been closed to new replies.

About this Plugin

  • Social Master
  • Frequently Asked Questions
  • Support Threads
  • Reviews

About this Topic

Tags